diff -ubr --new-file qt-2.3.3.orig/src/kernel/qgfxtransformed_qws.cpp qt-2.3.3/src/kernel/qgfxtransformed_qws.cpp
--- qt-2.3.3.orig/src/kernel/qgfxtransformed_qws.cpp	Sun Mar 17 20:11:25 2002
+++ qt-2.3.3/src/kernel/qgfxtransformed_qws.cpp	Thu May  2 15:48:17 2002
@@ -47,18 +47,18 @@
 
 
 #ifndef _OS_QNX6_
-#define QT_TRANS_SCREEN_BASE	QLinuxFbScreen
+#define QT_TRANS_SCREEN_BASE	QVFbScreen
 //#define QT_TRANS_SCREEN_BASE	QVFbScreen
-#include "qgfxlinuxfb_qws.h"
+#include "qgfxvfb_qws.h"
 #else
 #define QT_TRANS_SCREEN_BASE	QQnxScreen
 #include "qwsgfx_qnx.h"
 #endif
 
-#define QT_TRANS_CURSOR_BASE	QScreenCursor
-#define QT_TRANS_GFX_BASE	QGfxRaster
-//#define QT_TRANS_CURSOR_BASE	QVFbScreenCursor
-//#define QT_TRANS_GFX_BASE	QGfxVFb
+//#define QT_TRANS_CURSOR_BASE	QScreenCursor
+//#define QT_TRANS_GFX_BASE	QGfxRaster
+#define QT_TRANS_CURSOR_BASE	QVFbScreenCursor
+#define QT_TRANS_GFX_BASE	QGfxVFb
 
 
 class QTransformedScreen : public QT_TRANS_SCREEN_BASE
diff -ubr --new-file qt-2.3.3.orig/src/kernel/qgfxvfb_qws.cpp qt-2.3.3/src/kernel/qgfxvfb_qws.cpp
--- qt-2.3.3.orig/src/kernel/qgfxvfb_qws.cpp	Sun Mar 17 20:11:25 2002
+++ qt-2.3.3/src/kernel/qgfxvfb_qws.cpp	Thu May  2 15:47:47 2002
@@ -30,44 +30,15 @@
 **
 **********************************************************************/
 
-#include "qgfxraster_qws.h"
 
 #ifndef QT_NO_QWS_VFB
 
 #include <sys/ipc.h>
 #include <sys/types.h>
 #include <sys/shm.h>
-
-#include "qvfbhdr.h"
+#include "qgfxvfb_qws.h"
 
 bool qvfbEnabled = FALSE;
-
-// Unaccelerated screen/driver setup. Can be overridden by accelerated
-// drivers
-
-class QVFbScreen : public QScreen
-{
-public:
-    QVFbScreen( int display_id );
-    virtual ~QVFbScreen();
-    virtual bool initDevice();
-    virtual bool connect( const QString &displaySpec );
-    virtual void disconnect();
-    virtual int initCursor(void*, bool);
-    virtual void shutdownDevice();
-    virtual QGfx * createGfx(unsigned char *,int,int,int,int);
-    virtual void save();
-    virtual void restore();
-    virtual void setMode(int nw,int nh,int nd);
-
-    void setDirty( QRect r )
-	{ hdr->dirty = true; hdr->update = hdr->update.unite( r ); }
-
-    bool success;
-    unsigned char *shmrgn;
-    QVFbHeader *hdr;
-};
-
 static QVFbScreen *qvfb_screen = 0;
 
 #ifndef QT_NO_QWS_CURSOR
diff -ubr --new-file qt-2.3.3.orig/src/kernel/qgfxvfb_qws.h qt-2.3.3/src/kernel/qgfxvfb_qws.h
--- qt-2.3.3.orig/src/kernel/qgfxvfb_qws.h	Wed Dec 31 19:00:00 1969
+++ qt-2.3.3/src/kernel/qgfxvfb_qws.h	Thu May  2 15:47:47 2002
@@ -0,0 +1,69 @@
+/*****************************************************************************
+** $Id: qt-2.3.3-vfb.patch,v 1.1.1.1 2002/04/27 17:08:34 lionkov Exp $
+**
+** Implementation of QGfxvfb (virtual frame buffer driver)
+**
+** Created : 940721
+**
+** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
+**
+** This file is part of the kernel module of the Qt GUI Toolkit.
+**
+** This file may be distributed and/or modified under the terms of the
+** GNU General Public License version 2 as published by the Free Software
+** Foundation and appearing in the file LICENSE.GPL included in the
+** packaging of this file.
+**
+** Licensees holding valid Qt Enterprise Edition or Qt Professional Edition
+** licenses for Qt/Embedded may use this file in accordance with the
+** Qt Embedded Commercial License Agreement provided with the Software.
+**
+** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
+** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
+**
+** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
+**   information about Qt Commercial License Agreements.
+** See http://www.trolltech.com/gpl/ for GPL licensing information.
+**
+** Contact info@trolltech.com if any conditions of this licensing are
+** not clear to you.
+**
+**********************************************************************/
+
+#ifndef QGFXVFB_H
+#define QGFXVFB_H
+
+
+#ifndef QT_NO_QWS_VFB
+
+#include "qgfxraster_qws.h"
+#include "qvfbhdr.h"
+
+// Unaccelerated screen/driver setup. Can be overridden by accelerated
+// drivers
+
+class QVFbScreen : public QScreen
+{
+public:
+    QVFbScreen( int display_id );
+    virtual ~QVFbScreen();
+    virtual bool initDevice();
+    virtual bool connect( const QString &displaySpec );
+    virtual void disconnect();
+    virtual int initCursor(void*, bool);
+    virtual void shutdownDevice();
+    virtual QGfx * createGfx(unsigned char *,int,int,int,int);
+    virtual void save();
+    virtual void restore();
+    virtual void setMode(int nw,int nh,int nd);
+
+    void setDirty( QRect r )
+	{ hdr->dirty = true; hdr->update = hdr->update.unite( r ); }
+
+    bool success;
+    unsigned char *shmrgn;
+    QVFbHeader *hdr;
+};
+
+#endif
+#endif
